Subject: Re: linux-next: manual merge of the sound tree with the jc_docs tree

From: Jonathan Corbet <[email-masked]>
Date: Fri, 18 Nov 2016 16:33:12 -0700

On Mon, 14 Nov 2016 09:01:13 +0100
Takashi Iwai <[email-masked]> wrote:

> > In this case, I would have liked the chance to comment.  This
> > documentation belongs in the driver-api document, not the top-level one.
> > So, in an ideal world, I'd like to see this stuff moved there, preferably
> > with the patches going though the docs tree.  
> 
> If there needs any other changes, feel free to merge my
> topic/restize-docs branch into yours and keep working there:
>   git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git topic/resize-docs

OK, I've done that, so this series will show up in docs-next; hopefully
the merge conflicts will be resolved in the process.

I had said that I really wanted to move it all under driver-api and put
it into that manual, but, looking at what's there, it's not that simple.
The driver API parts of that manual belong there, but some of the
information is user-oriented.  A long-term goal is to separate out those
two types of information so that interested readers can more easily find
the information relevant to them.  But that won't happen for 4.10..:)  So
I'll leave things as they are for now.

(Note also that the driver API manual already has a section on sound
devices:

	http://static.lwn.net/kerneldoc/driver-api/sound.html

This came from the driver DocBook conversion a while back.  At some point
we should really pull all that stuff together into a single document).

Thanks again for doing this conversion,

jon